Description

follow up to #8189
in ConfigFileUtil
1. turn all spring bean methods into not statically methods.

2. better naming for getFolderSeperator():

CdmUtils.getFolderSeperator differentiates if the code runs from a jar bundle or if it runs from commandline. In the later case the first
case you always need "/" as separator while in the later case it is OS dependendend and therefore the test fails.

Distinguishing this is e.g. important when term loading from csv files to distinguish the position of the csv files in the file system. If
compiled to a jar you need another folder separator then reading from the ordinary folder on Windows because on Windows

File.separator <> "/".

But | agree that we should maybe rename CdmuUtils.getFolderSeperator to make clear that it is only for this specific usecase and it is

not a general shortcut to replace File.separator

Related issues:

Related to EDIT - bug #8189: Allow configuration of 'user.hnome' via the sprin...

Related to EDIT - feature request #8187: Use Spring Environment instead of cu...
Related to EDIT - task #8506: Remove the UpdatableRoutingDataSource, related ...

Related to EDIT - task #2387: make name and location of ~/.cdmlibrary folder ...

Closed
New
New
New

Associated revisions

Revision 68ea5e65 - 09/03/2019 03:12 PM - Andreas Kohlbecker

fix #8505 turning statical methods of ConfigFileUtil into non statical bean methods

Revision 7686835 - 09/03/2019 03:29 PM - Andreas Kohlbecker

ref #8505 renaming method to getResourceFolderSeperator() and adapting documentation

Revision 805b1fcf - 09/04/2019 10:31 AM - Andreas Kohlbecker
ref #8505 making getCdmHomeSubDirFallback() static again

Revision 2169¢8d6 - 09/04/2019 10:33 AM - Andreas Kohlbecker

ref #8505 removing test code

Revision eba7ec9d - 09/04/2019 11:14 AM - Andreas Kohlbecker
ref #8505 adapting taxeditor to changes in ConfigFileUtil

Revision 876d7bb3 - 09/04/2019 02:38 PM - Andreas Kohlbecker
ref #8505 adapting ApplicationConfiguration

Revision ca8b3fe8 - 09/04/2019 05:56 PM - Andreas Kohlbecker

ref #8505 inverting incorrect null check
https://dev.e-taxonomy.eu/redmine/issues/8189

History

#1 - 08/30/2019 04:46 PM - Andreas Kohlbecker

- Related to bug #8189: Allow configuration of 'user.home' via the spring environment added

#2 - 08/30/2019 04:48 PM - Andreas Kohlbecker
- Description updated

#3 - 08/30/2019 04:50 PM - Andreas Kohlbecker

- Related to feature request #8187: Use Spring Environment instead of custom code in AbstractWebApplicationConfigurer added

#4 - 08/30/2019 05:17 PM - Andreas Kohlbecker
- Related to task #8506: Remove the UpdatableRoutingDataSource, related classes and configuration added

#5 - 08/30/2019 06:03 PM - Andreas Kohlbecker

- Related to task #2387: make name and location of ~/.cdmlibrary folder configurable added

#6 - 09/03/2019 03:11 PM - Andreas Kohlbecker

- Subject changed from ConfigFileUtil: turn all sping bean methods into not statically methods. to ConfigFileUlil: turn all sping bean methods into not
statical methods.

- Status changed from New to In Progress

#7 - 09/03/2019 03:12 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|68ea5e65a8844fef8efbf698f53f4fbfa6367b3.

#8 - 09/03/2019 04:00 PM - Andreas Kohlbecker

- Subject changed from ConfigFileUtil: turn all sping bean methods into not statical methods. to ConfigFileUtil: turn all spring bean methods into not
statical methods.

- % Done changed from 50 to 0

#9 - 09/11/2019 12:50 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

fully solved and working as expected since there are no longer any problems in the dependent products
